Bug 16938 - Remove the use of "onclick" from batch patrons modification template
Summary: Remove the use of "onclick" from batch patrons modification template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/tools/modborrowers.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-18 18:39 UTC by Owen Leonard
Modified: 2017-06-14 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16938 - Remove the use of "onclick" from batch patrons modification template (5.50 KB, patch)
2016-07-18 19:04 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16938: Remove the use of "onclick" from batch patrons modification template (5.54 KB, patch)
2016-07-19 15:59 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16938: Remove the use of "onclick" from batch patrons modification template (5.60 KB, patch)
2016-07-25 12:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16938: Remove the use of "onclick" from batch patrons modification template (5.60 KB, patch)
2016-09-09 14:41 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-07-18 18:39:53 UTC
There are several instances of "onclick" in modborrowers.tt which can be removed in favor of defining events in the JavaScript.
Comment 1 Owen Leonard 2016-07-18 19:04:52 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-19 15:59:27 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-25 12:53:11 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2016-09-09 14:41:25 UTC
Created attachment 55440 [details] [review]
Bug 16938: Remove the use of "onclick" from batch patrons modification template

This patch revises the batch patrons modification template, removing
"onclick" attributes from the markup and defining those events in the
script.

To test you should have at least one extended patron attribute
configured.

- Apply the patch and go to Tools -> Batch patron modification.
- Submit a batch of patrons for modification.
- Confirm that the checkbox next to any required field is disabled.
- Select a date in the registration date and expiry date fields. Confirm
  that the "Clear" link next to each empties the correct field.
- Click "New" next to a patron attibute. A copy of the patron attribute
  line should be created.
- Click "Delete" next to a cloned patron attribute. The correct line
  should be removed.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-09-09 14:53:53 UTC
Pushed to master for 16.11, thanks Owen!